summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@lavabit.com>2013-02-22 15:30:17 -0200
committerAndré Fabian Silva Delgado <emulatorman@lavabit.com>2013-02-22 15:30:17 -0200
commit10a551d11878e8d6872170293f32ec2dbf57f567 (patch)
treed788665d4ecf32131ed1236d8ba64747aeca39b4
parenta299e9a6f65afb3b7c5e7311175ebe5fcc933c57 (diff)
iceweasel-libre: revert last changes due that iceweasel uses patches from debian adapted to use the previous commands
-rw-r--r--libre/iceweasel-libre/PKGBUILD21
-rw-r--r--libre/iceweasel-libre/mozconfig.pgo4
2 files changed, 10 insertions, 15 deletions
diff --git a/libre/iceweasel-libre/PKGBUILD b/libre/iceweasel-libre/PKGBUILD
index c571352f4..065835d99 100644
--- a/libre/iceweasel-libre/PKGBUILD
+++ b/libre/iceweasel-libre/PKGBUILD
@@ -22,7 +22,7 @@ debfile() { echo $@|sed -r 's@(.).*@\1/&/&@'; }
_pkgname=iceweasel
pkgname=iceweasel-libre
pkgver=$_debver.$_debrel
-pkgrel=3
+pkgrel=2
pkgdesc="A libre version of Debian Iceweasel, the standalone web browser based on Mozilla Firefox."
arch=('i686' 'x86_64' 'mips64el')
@@ -52,7 +52,7 @@ source=("$_debrepo/`debfile $_debname`_$_debver.orig.tar.bz2"
md5sums=('b4c109e987f869f94220188a901d4425'
'e1d6920cb49c9de88b8e00eb14b1b0e7'
'f90c6a70d0a6d0a9e7f9a0eed6aeffd3'
- '383e8e2a97a8b13fe56d153adb6878b6'
+ 'dfeb4ab2c96aae3356a4c347eee0b97b'
'acb402fa414bed916fb0e09dfc1485c4'
'7b9e5996dd9fe0b186a43a297db1c6b5'
'abf5ecb74caa857abb42bcfbb3442d9c'
@@ -146,18 +146,11 @@ build() {
fi
if $_pgo; then
- export MOZ_PGO=1
- export DISPLAY=:99
- export MOZ_MAKE_FLAGS="$MAKEFLAGS"
- unset MAKEFLAGS
-
- Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
- _fail=0
-
- make -f client.mk build || _fail=1
-
- kill $! || true
- return $_fail
+ LD_PRELOAD="" /usr/bin/Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 :99 &
+ LD_PRELOAD="" DISPLAY=:99 make -j1 -f client.mk profiledbuild MOZ_MAKE_FLAGS="$MAKEFLAGS"
+ kill $! || true
+ else
+ LD_PRELOAD="" make -j1 -f client.mk build MOZ_MAKE_FLAGS="$MAKEFLAGS"
fi
}
diff --git a/libre/iceweasel-libre/mozconfig.pgo b/libre/iceweasel-libre/mozconfig.pgo
index 2f4ebe32b..30464c38c 100644
--- a/libre/iceweasel-libre/mozconfig.pgo
+++ b/libre/iceweasel-libre/mozconfig.pgo
@@ -1,3 +1,5 @@
# PGO
-mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py 10'
+ac_add_options --enable-profile-guided-optimization
+mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py'
+mk_add_options PYTHONPATH='$(OBJDIR)/_profile/pgo'